netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
at_proto.c File Reference
`#include <sys/protosw.h>`
`#include <sys/domain.h>`
`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include "at.h"`

## Functions
int | ddp_usrreq ()
int | ddp_output ()
int | ddp_init ()

## Variables
struct protosw | atalksw []
struct domain | atalkdomain

## Function Documentation

## ◆ ddp_init()

int ddp_init | ( |  | ) |
| extern

## ◆ ddp_output()

int ddp_output | ( |  | ) |
| extern

## ◆ ddp_usrreq()

int ddp_usrreq | ( |  | ) |
| extern

## Variable Documentation

## ◆ atalkdomain

struct domain atalkdomain

Initial value:
= {
AF_APPLETALK, "appletalk", 0, 0, 0, atalksw,
&atalksw[sizeof(atalksw) / sizeof(atalksw[0])]
}
atalksw
struct protosw atalksw[]
Definition at_proto.c:23

## ◆ atalksw

struct protosw atalksw[]

Initial value:
= {
{
SOCK_DGRAM, &atalkdomain, ATPROTO_DDP, PR_ATOMIC | PR_ADDR,
0, ddp_output, 0, 0,
ddp_usrreq,
ddp_init, 0, 0, 0,
},
}
ATPROTO_DDP
#define ATPROTO_DDP
Definition at.h:37
ddp_usrreq
int ddp_usrreq()
ddp_init
int ddp_init()
Definition ddp_usrreq.c:550
ddp_output
int ddp_output()
atalkdomain
struct domain atalkdomain
Definition at_proto.c:43